Lucene++ - a full-featured, c++ search engine
API Documentation

Data Structures | Namespaces
AttributeSource.h File Reference
`#include "LuceneObject.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::AttributeFactory
class | Lucene::AttributeSource

An AttributeSource contains a list of different Attributes, and methods to add and get them. There can only be a single instance of an attribute in the same AttributeSource instance. This is ensured by passing in the actual type of the Attribute (Class<Attribute>) to the addAttribute(Class), which then checks if an instance of that type is already present. If yes, it returns the instance, otherwise it creates a new instance and returns it. More...

class | Lucene::DefaultAttributeFactory
class | Lucene::AttributeSourceState
| This class holds the state of an AttributeSource. More...

## Namespaces

| Lucene

clucene.sourceforge.net